package com.fjhx.sale.service.after;

import com.fjhx.sale.entity.after.dto.AfterSalesDto;
import com.fjhx.sale.entity.after.po.AfterSales;
import com.ruoyi.common.core.service.BaseService;


/**
 * <p>
 * 售后管理 服务类
 * </p>
 *
 * @author
 * @since 2023-07-20
 */
public interface AfterSalesService extends BaseService<AfterSales> {

    /**
     * 售后管理新增
     */
    void add(AfterSalesDto afterSalesDto);

    /**
     * 售后管理编辑
     */
    void edit(AfterSalesDto afterSalesDto);

    /**
     * 售后退货
     */
    void salesReturn(AfterSalesDto afterSalesDto);

    /**
     * 售后换货
     */
    void salesReplace(AfterSalesDto afterSalesDto);

    /**
     * 销售发起采购
     */
    void initPurchase(AfterSalesDto afterSalesDto);
}
